<div id="wrapper" (mouseleave)="closeSubMenu(true)">
  <div class="category-list-wrapper">
    <div class="category-list">
      <ul>
        <li *ngFor="let mainCategory of mainCategoryList" (mouseover)="showSubCategory(mainCategory)"
        [ngClass]="{'category-list-active': selectedItem == mainCategory.categoryGroupName}"
          title="{{mainCategory.categoryGroupName}}">{{mainCategory.categoryGroupName}}
            <i class="fa fa-caret-down caret-down"></i>         
        </li>
        <li (mouseover)="closeSubMenu()" class="more-category" *ngIf="filteredCategoryList.length > 8">
          <a (click)="showMoreCategories()"><i class="material-icons">add_circle_outline</i> {{'labelMoreCategories' | translate: lang}}</a>
        </li>
      </ul>
    </div>
  </div>
  
<div *ngIf="showSubMenu === true" class="categorygroup-wrapper">
    <div class="sub-cate-wrap subcat-auto">
      <div class="category-lists" *ngFor="let subCategory of subCategoryList">
        <span (click)="showProductList(subCategory, true)">
          <h5 class="subCategory-title">
            <ul>
              <li title="{{subCategory.categoryName}}">
                <span class="highlight">{{subCategory.categoryName}}</span>
              </li>
            </ul>
          </h5>
        </span>
        <ul class="subcategory">
          <li class="subcategory-list" *ngFor="let category of subCategory.subCategory"
            (click)="showProductList(category, false)">
            <span title="{{category.subCategoryName}}">{{category.subCategoryName}}</span>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
